package at.ac.uibk.gitsearch.service.dto;

import org.junit.jupiter.api.Test;
import static org.assertj.core.api.Assertions.assertThat;
import at.ac.uibk.gitsearch.web.rest.TestUtil;

public class UserWatchListDTOTest {

    @Test
    public void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(UserWatchListDTO.class);
        UserWatchListDTO userWatchListDTO1 = new UserWatchListDTO();
        userWatchListDTO1.setId(1L);
        UserWatchListDTO userWatchListDTO2 = new UserWatchListDTO();
        assertThat(userWatchListDTO1).isNotEqualTo(userWatchListDTO2);
        userWatchListDTO2.setId(userWatchListDTO1.getId());
        assertThat(userWatchListDTO1).isEqualTo(userWatchListDTO2);
        userWatchListDTO2.setId(2L);
        assertThat(userWatchListDTO1).isNotEqualTo(userWatchListDTO2);
        userWatchListDTO1.setId(null);
        assertThat(userWatchListDTO1).isNotEqualTo(userWatchListDTO2);
    }
}
